<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProfileMaster extends Model
{
    use HasFactory;

    protected $table = 'profile_masters';  // Ensure correct table name

    protected $fillable = [
        'U_Id',
        'profile_for',
        'gender',
        'first_name',
        'last_name',
        'dob',
        'height',
        'religion',
        'caste',
        'education',
        'income_min',
        'income_max',
        'city',
        'state',
        'country',
        'marital_status',
        'occupation'
    ];

    // Define relationship with UserMaster
    public function user()
    {
        return $this->belongsTo(UserMaster::class, 'U_Id');
    }

    public function partnerPreference()
    {
        return $this->hasOne(PartnerPreference::class, 'U_Id', 'U_Id');
    }
}
