<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;

use Illuminate\Database\Eloquent\Model;
use Laravel\Sanctum\HasApiTokens;
use Illuminate\Notifications\Notifiable;

class UserMaster extends Authenticatable
{
    use HasApiTokens, Notifiable;

    protected $table = 'user_masters'; // Ensure this matches your table name

    protected $primaryKey = 'U_Id'; // Ensure this matches your primary key

    protected $fillable = [
        'U_Name',
        'U_Email',
        'U_Password',
        'U_Status',
        'U_Gender',
        'U_DOB',
        'Role_Id',
        'U_mobile'
    ];

    protected $hidden = [
        'U_Password',
        'remember_token',
    ];

    protected $casts = [
        'U_DOB' => 'date',
    ];

    public function getAuthPassword()
    {
        return $this->U_Password; // Ensure Laravel uses the correct password column
    }

    public function role()
    {
        return $this->belongsTo(RoleMaster::class, 'Role_Id', 'Role_Id');
    }
}
