<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserSubscription extends Model
{
    use HasFactory;

    protected $fillable = [
        'U_Id',
        'plan_id',
        'start_date',
        'end_date',
        'status'
    ];

    // Relationship: A subscription belongs to a user
    public function user()
    {
        return $this->belongsTo(UserMaster::class, 'U_Id', 'U_Id');
    }

    // Relationship: A subscription belongs to a plan
    public function plan()
    {
        return $this->belongsTo(SubscriptionPlan::class, 'plan_id');
    }

    // Check if the subscription is active
    public function isActive()
    {
        return $this->status === 'Active' && Carbon::now()->lt(Carbon::parse($this->end_date));
    }
}
