<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Route;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * The path to the "home" route for your application.
     *
     * @var string
     */
    public const HOME = '/home';

    /**
     * Define your route model bindings, pattern filters, etc.
     */
    public function boot(): void
    {
        $this->routes(function () {
            Route::middleware(['api']) // Add brackets
                ->prefix('api')
                ->group(base_path('routes/api.php'));

            Route::middleware(['web']) // Add brackets
                ->group(base_path('routes/web.php'));
        });
    }
}
