<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('profile_masters', function (Blueprint $table) {
            $table->id(); // Primary Key (auto-increment)
            $table->unsignedBigInteger('U_Id'); // Foreign Key to user_masters
            $table->foreign('U_Id')->references('U_Id')->on('user_masters')->onDelete('cascade');
            $table->string('profile_for'); // Profile for (e.g., Self, Son, Daughter)
            $table->string('gender'); // Gender selection
            $table->string('first_name', 100);
            $table->string('last_name', 100);
            $table->date('dob'); // Date of birth
            $table->timestamps(); // Created at & Updated at

            // Foreign Key Constraint
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('profile_masters');
    }
};
