<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('partner_preferences', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('U_Id')->unique();
            $table->foreign('U_Id')->references('U_Id')->on('profile_masters')->onDelete('cascade');

            $table->string('preferred_age_range')->nullable();
            $table->string('preferred_height_range')->nullable();
            $table->string('preferred_religion')->nullable();
            $table->string('preferred_caste')->nullable();
            $table->string('preferred_education')->nullable();
            $table->string('preferred_income')->nullable();
            $table->string('preferred_location')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('partner_preferences');
    }
};
