<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('meetings', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('U_Id');
            $table->unsignedBigInteger('partner_U_Id');
            $table->foreign('U_Id')->references('U_Id')->on('profile_masters')->onDelete('cascade');
            $table->foreign('partner_U_Id')->references('U_Id')->on('profile_masters')->onDelete('cascade');
            $table->dateTime('scheduled_at');
            $table->integer('status')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('meetings');
    }
};
