<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chat_messages', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('sender_U_Id');
            $table->unsignedBigInteger('receiver_U_Id');
            $table->foreign('sender_U_Id')->references('U_Id')->on('profile_masters')->onDelete('cascade');
            $table->foreign('receiver_U_Id')->references('U_Id')->on('profile_masters')->onDelete('cascade');
            $table->text('message');
            $table->timestamp('sent_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chat_messages');
    }
};
