<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('profile_masters', function (Blueprint $table) {
            // Remove old VARCHAR column if it exists
            $table->dropColumn('income_range');

            // Add new numeric columns for income range
            $table->integer('income_min')->nullable()->after('occupation');
            $table->integer('income_max')->nullable()->after('income_min');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::table('profile_masters', function (Blueprint $table) {
            // Rollback: Remove new columns
            $table->dropColumn(['income_min', 'income_max']);

            // Restore the old column as VARCHAR
            $table->string('income_range')->nullable()->after('occupation');
        });
    }
};
