<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('partner_preferences', function (Blueprint $table) {
            $table->dropColumn('preferred_income'); // Remove old column
            $table->integer('income_min')->nullable()->after('preferred_caste');
            $table->integer('income_max')->nullable()->after('income_min');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::table('partner_preferences', function (Blueprint $table) {
            $table->string('preferred_income')->nullable()->after('preferred_caste');
            $table->dropColumn(['income_min', 'income_max']);
        });
    }
};
